---
pagetitle: Package License Terms for STM32CubeG0
lang: en
header-includes: <link rel="icon" type="image/x-icon" href="_htmresc/favicon.png" />
---

::: {.row}
::: {.col-sm-12 .col-lg-3}

<center>
# These are full license terms for

# <mark>STM32CubeG0</mark>

Copyright &copy; 2018 STMicroelectronics

All rights reserved
    
[![ST logo](_htmresc/st_logo_2020.png)](https://www.st.com){.logo}
</center>
:::

::: {.col-sm-12 .col-lg-9}
::: {.collapse}
<input type="checkbox" id="collapse-section1" checked aria-hidden="true">
<label for="collapse-section1" aria-hidden="true">__SLA0048__</label>
<div>

SLA0048 Rev4/March 2018

## Software license agreement

### __SOFTWARE PACKAGE LICENSE AGREEMENT__

BY INSTALLING COPYING, DOWNLOADING, ACCESSING OR OTHERWISE USING THIS SOFTWARE PACKAGE OR ANY
PART THEREOF (AND THE RELATED DOCUMENTATION) FROM STMICROELECTRONICS INTERNATIONAL N.V, SWISS
BRANCH AND/OR ITS AFFILIATED COMPANIES (STMICROELECTRONICS), THE RECIPIENT, ON BEHALF OF HIMSELF
OR HERSELF, OR ON BEHALF OF ANY ENTITY BY WHICH SUCH RECIPIENT IS EMPLOYED AND/OR ENGAGED
AGREES TO BE BOUND BY THIS SOFTWARE PACKAGE LICENSE AGREEMENT.

Under STMicroelectronics’ intellectual property rights and subject to applicable licensing terms for any third-party software
incorporated in this software package and applicable Open Source Terms (as defined here below), the redistribution,
reproduction and use in source and binary forms of the software package or any part thereof, with or without modification, are
permitted provided that the following conditions are met:

1. Redistribution of source code (modified or not) must retain any copyright notice, this list of conditions and the following
disclaimer.

2. Redistributions in binary form, except as embedded into microcontroller or microprocessor device manufactured by or for
STMicroelectronics or a software update for such device, must reproduce the above copyright notice, this list of conditions
and the following disclaimer in the documentation and/or other materials provided with the distribution.

3. Neither the name of STMicroelectronics nor the names of other contributors to this software package may be used to
endorse or promote products derived from this software package or part thereof without specific written permission.

4. This software package or any part thereof, including modifications and/or derivative works of this software package, must
be used and execute solely and exclusively on or in combination with a microcontroller or a microprocessor devices
manufactured by or for STMicroelectronics.

5. No use, reproduction or redistribution of this software package partially or totally may be done in any manner that would
subject this software package to any Open Source Terms (as defined below).

6. Some portion of the software package may contain software subject to Open Source Terms (as defined below) applicable
for each such portion (“Open Source Software”), as further specified in the software package. Such Open Source Software
is supplied under the applicable Open Source Terms and is not subject to the terms and conditions of license hereunder.
“Open Source Terms” shall mean any open source license which requires as part of distribution of software that the source
code of such software is distributed therewith or otherwise made available, or open source license that substantially
complies with the Open Source definition specified at www.opensource.org and any other comparable open source license
such as for example GNU General Public License (GPL), Eclipse Public License (EPL), Apache Software License, BSD
license and MIT license.

7. This software package may also include third party software as expressly specified in the software package subject to
specific license terms from such third parties. Such third party software is supplied under such specific license terms and is
not subject to the terms and conditions of license hereunder. By installing copying, downloading, accessing or otherwise
using this software package, the recipient agrees to be bound by such license terms with regard to such third party
software.

8. STMicroelectronics has no obligation to provide any maintenance, support or updates for the software package.

9. The software package is and will remain the exclusive property of STMicroelectronics and its licensors. The recipient will
not take any action that jeopardizes STMicroelectronics and its licensors' proprietary rights or acquire any rights in the
software package, except the limited rights specified hereunder.

10. The recipient shall comply with all applicable laws and regulations affecting the use of the software package or any part
thereof including any applicable export control law or regulation.

11. Redistribution and use of this software package partially or any part thereof other than as permitted under this license is
void and will automatically terminate your rights under this license.

THIS SOFTWARE PACKAGE IS PROVIDED BY STMICROELECTRONICS AND CONTRIBUTORS "AS IS" AND ANY
EXPRESS, IMPLIED OR STATUTORY WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT OF THIRD PARTY
INTELLECTUAL PROPERTY RIGHTS ARE DISCLAIMED TO THE FULLEST EXTENT PERMITTED BY LAW. IN NO EVENT
SHALL STMICROELECTRONICS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE PACKAGE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE.

EXCEPT AS EXPRESSLY PERMITTED HEREUNDER AND SUBJECT TO THE APPLICABLE LICENSING TERMS FOR ANY
THIRD-PARTY SOFTWARE INCORPORATED IN THE SOFTWARE PACKAGE AND OPEN SOURCE TERMS AS
APPLICABLE, NO LICENSE OR OTHER RIGHTS, WHETHER EXPRESS OR IMPLIED, ARE GRANTED UNDER ANY
PATENT OR OTHER INTELLECTUAL PROPERTY RIGHTS OF STMICROELECTRONICS OR ANY THIRD PARTY.

</div>
:::

::: {.collapse}
<input type="checkbox" id="collapse-section2" checked aria-hidden="true">
<label for="collapse-section2" aria-hidden="true">__ANNEX 1: LIST OF SOFTWARE COMPONENTS (AND ASSOCIATED LICENSES) IN THE SOFTWARE PACKAGE__</label>
<div>
Component                              Copyright                                       Licence                                                
----------------------------           -------------------------------------           ----------------------------------------------------------------
Cortex-M CMSIS                         ARM Limited                                     [Apache-2.0](https://opensource.org/licenses/Apache-2.0 )             
STM32G0xx CMSIS                        ARM Limited - STMicroelectronics                [Apache-2.0](https://opensource.org/licenses/Apache-2.0 )             
STM32G0xx_HAL_Driver                   STMicroelectronics                              [BSD-3-Clause](https://opensource.org/licenses/BSD-3-Clause) 
BSP STM32G0C1E-EV                      STMicroelectronics                              [BSD-3-Clause](https://opensource.org/licenses/BSD-3-Clause)                                                                                                                                                                                                                                                   
BSP STM32G0xx_Nucleo                   STMicroelectronics                              [BSD-3-Clause](https://opensource.org/licenses/BSD-3-Clause) 
BSP STM32G0xx_Nucleo_32                STMicroelectronics                              [BSD-3-Clause](https://opensource.org/licenses/BSD-3-Clause) 
BSP STM32G071B-Discovery               STMicroelectronics                              [BSD-3-Clause](https://opensource.org/licenses/BSD-3-Clause) 
BSP STM32G081B_EVAL                    STMicroelectronics                              [BSD-3-Clause](https://opensource.org/licenses/BSD-3-Clause) 
BSP STM32G0316-DISCO                   STMicroelectronics                              [BSD-3-Clause](https://opensource.org/licenses/BSD-3-Clause) 
BSP X-NUCLEO-USBPDM1                   STMicroelectronics                              [BSD-3-Clause](https://opensource.org/licenses/BSD-3-Clause) 
BSP Components                         STMicroelectronics                              [BSD-3-Clause](https://opensource.org/licenses/BSD-3-Clause)
BSP Adafruit                           STMicroelectronics                              [BSD-3-Clause](https://opensource.org/licenses/BSD-3-Clause)
FatFS                                  ChaN - STMicroelectronics                       [BSD-3-Clause](https://opensource.org/licenses/BSD-3-Clause)                                                                                                                       
FreeRTOS                               Amazon.com, Inc. or its affiliates              [MIT](https://opensource.org/licenses/MIT)                                                                                                                                
STM32_USBPD_Library - Core             STMicroelectronics                              [Proprietary](http://www.st.com/SLA0044)                                      
STM32_USBPD_Library - Devices          STMicroelectronics                              [Proprietary](http://www.st.com/SLA0044)                                      
STM32_USB_Host_Library                 STMicroelectronics                              [Proprietary](http://www.st.com/SLA0044)                                    
STM32_USB_Device_Library               STMicroelectronics                              [Proprietary](http://www.st.com/SLA0044)                                   
OpenBootloader                         STMicroelectronics                              [Proprietary](http://www.st.com/SLA0044)                                                                                                                     
STM32 Utilities                        STMicroelectronics                              [BSD-3-Clause](https://opensource.org/licenses/BSD-3-Clause)
STM32 Projects                         STMicroelectronics                              Proprietary ([BSD-3-Clause](https://opensource.org/licenses/BSD-3-Clause) for basic Examples)

</div>
:::

:::
:::
